package be.iminds.ilabt.jfed.lowlevel.resourceid;

import javax.annotation.Nonnull;

/**
* UuidResource
*/
public class ResourceUuid implements ResourceId {
    @Nonnull
    private final String value;
    public ResourceUuid(@Nonnull String value) { this.value = value; }
    public String getType() { return "uuid"; }
    @Nonnull
    public String getValue() { return value; }

    @Override
    public String toString() {
        return "UuidResource{" + value + "\"}";
    }
}
